EDIT - bug #9603

Sorting in status drop down of distribution editor
05/03/2021 06:06 PM - Katja Luther

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.23

Severity: normal Found in Version:

Description

mail AM:

Bei der Sortierung nach ,natural“ scheint mir was falsch zu laufen. Wenn ich das auswéahle kommt ,,endemic” ganz unten, sollte aber
eher ganz oben kommen.

Auch wundert mich, dass man da nicht auch nach symbol1 oder 2 sortieren kann. Das macht bei Verbreitungsstatus tendenziell
mehr Sinn als idInVoc, welches in der Regel nicht verwendet wird in den Projekten. Kannst du das noch hinzufligen?

Associated revisions

Revision 316607fa - 05/04/2021 12:18 PM - Katja Luther

ref #9603: add new Comparator for term.symbol und term.symbol2

Revision 19732dea - 05/04/2021 12:38 PM - Katja Luther
ref #9603: add symbol and symbol2 to TermOrder enum

Revision 641175e9 - 05/04/2021 02:20 PM - Katja Luther

ref #9603: adapt to new termOrder values

Revision 96ca9010 - 05/04/2021 02:33 PM - Katja Luther

ref #96083: fix natural sort order

Revision 1a4b9c63 - 05/04/2021 10:03 PM - Andreas Miiller

ref #9603 adapt TypeDesignationStatusComparator to new semantic of OrderedTermComparator

Revision e21cf4b8 - 05/05/2021 10:58 AM - Katja Luther

ref #9603: adapt order of named areas in distribution editor

History

#1 - 05/03/2021 09:31 PM - Andreas Miiller

- Tags set to cuba

#2 - 05/04/2021 02:21 PM - Katja Luther
- Tags deleted (cuba)
- Status changed from New to Resolved

- Assignee changed from Katja Luther to Andreas Miiller

#3 - 05/04/2021 02:22 PM - Katja Luther
- Status changed from Resolved to In Progress

- Assignee changed from Andreas Muiller to Katja Luther

#4 - 05/05/2021 10:57 AM - Katja Luther
- Status changed from In Progress to Resolved

- Assignee changed from Katja Luther to Andreas Miiller
please review.

#5 - 05/06/2021 07:02 PM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Muiller to Katja Luther

- % Done changed from 0 to 100

Works as expected and also methods that depend on the change were adapted.

#6 - 05/17/2021 09:52 AM - Andreas Miiller

- Target version changed from Release 5.25 to Release 5.23
